PETSc version 3.17.4
Fix/Edit manual page

# PetscDSGetWeakForm

Returns the weak form object

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetWeakForm(PetscDS ds, PetscWeakForm *wf)

Not collective

### Input Parameter

| ds | - The PetscDS object

### Output Parameter

| wf | - The weak form object

### See Also

PetscDSSetWeakForm(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c

### Examples

src/snes/tutorials/ex17.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages